> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-admin-guide/v22-ja-jp/natasuku/ras-sesshon.md).

# RAS セッション変数

リモートユーザーが公開済みアプリケーションまたはデスクトップを起動すると、ホストサーバー上でParallels RASによって一連のセッション変数が作成されます。これらの変数にはクライアントマシンに関する情報が含まれており、必要に応じて確認することができます。変数は常に更新されるため、接続時や再接続時には常に最新の値が反映されています。

以下のRASセッション変数が提供されます：

<table data-header-hidden><thead><tr><th width="315">変数名</th><th>説明</th></tr></thead><tbody><tr><td>TUX_REMOTECLIENT_PLATFORM</td><td>クライアント コンピューターで実行されているオペレーティングシステムの名称とバージョン。例：「Windows 8.1 Enterprise Edition (WOW 64)」、「iPhone OS 9.2.1」、「Android 6.0」など。</td></tr><tr><td>TUX_REMOTECLIENT_MAC</td><td>クライアント コンピューターの MAC アドレス。</td></tr><tr><td>TUX_REMOTECLIENT_IP</td><td>クライアント側から見たクライアント コンピューターのIP アドレス。</td></tr><tr><td>TUX_REMOTECLIENT_LANG</td><td><p>クライアント コンピューターのGUIで使用されている言語：EN、FR、RU、DE、ES、IT、PT、NL、JP、CS（簡体字中国語）、CT（繁体字中国語）、KR（韓国語）。</p><p>macOS、iOS、および Android モバイル デバイスでは、OS で使用されている言語が報告されますが、それはサポートされている言語の場合に限られます。サポートされていない場合は、デフォルトで EN になります。</p></td></tr><tr><td>TUX_REMOTECLIENT_MACHINE</td><td>クライアント コンピューター名。例：「Bob's iPad mini 1st generation」、「BobPC」、「Bob's iMac」など。</td></tr><tr><td>TUX_REMOTECLIENT_LOGIN</td><td>Parallels RASでログオンするときに使用されたユーザー名（TLDを含む）。例：myuser@somedomain。</td></tr><tr><td>TUX_REMOTECLIENT_VERSION</td><td>Parallels Client のバージョン。</td></tr><tr><td>TUX_REMOTECLIENT_VENDOR</td><td>デバイスのベンダー名。例：「Asus」、「Apple」、「Google」など。</td></tr><tr><td>TUX_REMOTECLIENT_MODEL</td><td>デバイスのモデル名。例：「Nexus 5」、「iPad2.6」など。</td></tr></tbody></table>

RAS セッション変数とその値は、次の 2 つの方法のいずれかを使用して確認できます。

* ホストサーバーのWindowsレジストリを調べることで。
* （Parallels RAS に付属の）GetRASVariable.exe ユーティリティ プログラムを実行します。

各メソッドについては、以下で説明します。

### コンテナー レジストリを確認する

変数を確認するには、コマンドを実行し`regedit`、\<SESSION-ID> の場所まで移動します`HKEY_CURRENT_USER\Software\Parallels\Shell\<Session-ID>`。ここで、\<SESSION-ID> は RAS コンソールに表示されるセッションの ID です（例：2、3、4 など）。特定のセッションの変数は、そのセッション ID ノードの下に一覧表示されます。 ユーザーが接続または再接続すると、実際のクライアント構成を反映するようにこれらの変数が更新されます。これらの変数はセッションが継続している間のみ存在し、セッションが終了するとレジストリから削除されます。

なお、上記の表に記載されている変数に加えて、セッション ID の下にその他（ドキュメントに記載されていない）の変数が表示される場合がありますが、これらは Parallels RAS の内部使用のみを目的としたものであり、無視していただいて構いません。

### GetRASVariable.exe ユーティリティプログラムの使用方法

GetRASVariable.exe ユーティリティ プログラムは、Parallels RAS のインストール フォルダー（例：C:\Program Files (x86)\Parallels\ApplicationServer）にあります。 変数の値を取得するには、コマンド ラインからこのユーティリティを実行し、変数名をパラメーターとして指定します（上のテーブルを参照）。ユーティリティは、その値をスクリーンに表示します。

次の例は、TUX\_REMOTECLIENT\_MACHINE 変数の値を表示するものです。

`GetRASVariable.exe TUX_REMOTECLIENT_MACHINE`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-admin-guide/v22-ja-jp/natasuku/ras-sesshon.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
